Subject: Re: bug#9751: 23.3; Alternative Keyboard Feature/Bug

From: Juri Linkov <[email-masked]>
Date: Fri, 21 Oct 2011 17:01:33 +0300

>> However, there is another problem.  Single-key bindings don't work in modes
>> where they are bound to other commands, like `v' (`dired-view-file') in Dired,
>> or `d' (`Info-directory') in Info.
>
> I don't understand what you mean here.  Do you mean that hitting
> v/ω/omega will not run dired-view-file?  That's very odd.  Can you try
> and investigate why that is?

Sorry, it seems I did a stupid thing.  Major mode maps don't perform
key translation, so

  (define-key dired-mode-map [?β] [?b])

binds `β' to a keyboard macro instead of translating keys
like `input-decode-map' does.

I can't find a way to translate keys on a per-mode basis
in modes where single keys are bound to non-self-inserting commands.